#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-Af5Loyp4tOOG6bKuOH6vwy
key:                  hoogle-5.0.18.4-Af5Loyp4tOOG6bKuOH6vwy
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  830a91b8c9a1f019690d461d2d6f99ee
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-Af5Loyp4tOOG6bKuOH6vwy
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-2FUI0ycZlrbG7BkVMiUKvc
    aeson-2.1.2.1-2QGjkfeUzb9GAwOHYL9mgm base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.1.2-A5KXBNyQdfKA6uCozbcuq2
    blaze-markup-0.8.3.0-FWMMHu9hei31HacT0lMzy9 bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-EymqpkTSnlOJQExfW4pA9Z
    conduit-extra-1.3.6-8TgsS1xmoqL1UZX0gIG7l containers-0.6.5.1
    crypton-connection-0.3.2-Cya63EMGJyo4PtWLeXm9Tw deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.14-jQJF8WyS7TA7SEILRSf4e
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    haskell-src-exts-1.23.1-3U1rIdSp0WD5Nn3gV6pJkJ
    http-conduit-2.3.8.3-HvM18zJkB1SA79UbnkhYAs
    http-types-0.12.4-4Sw8MSrZ5ruAIbTrBQxmp0
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-9nOkiHFdWll3poFIPCqSru
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-BFCrta1kzGL1pnrTop9hAc
    resourcet-1.2.6-AkuAfAqfUrLC3kiGqtKSRc
    safe-0.3.21-CqIHKdkgiB2klcxc5dxay
    storable-tuple-0.1-CjvS8z89bgw5qjcrAYb8Cy
    tar-0.5.1.1-LuHavtc4dd2CbXF9ulAH4q template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-H1mhecsGwGXGuM9MDnfNyb
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-FuSYSqJEiCU51oStZmHlCe
    wai-3.2.4-1SxT3MIcuKI3pTbBiVnE2T
    wai-logger-2.4.0-6SoIYHZ0puT9JyK7XLbfWQ
    warp-3.3.30-ArU4RXUFTrn17btncJ9HI8
    warp-tls-3.4.5-5SbRUvMa7OsAIr6qXiIQ75
    zlib-0.6.3.0-CkkXEuYiaZzEYzgsgwtii4

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

